org.springframework.data.repository.init

## Interface RepositoryPopulator

All Known Implementing Classes:
  ResourceReaderRepositoryPopulator

    public interface RepositoryPopulator

Interface for components that will populate the Spring Data repositories with objects.

Since:
  1.4
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `populate(Repositories repositories)` Populates the given `Repositories`.

### Method Detail

#### populate

    void populate(Repositories repositories)

Populates the given `Repositories`.

Parameters:
  `repositories` - must not be null.